KAsyncIO Class Referenceabstract

`#include <kasyncio.h>`

Inheritance diagram for KAsyncIO:

## Signals

void | readyRead ()
void | readyWrite ()

## Public Member Functions

virtual void | enableRead (bool enable)=0
virtual void | enableWrite (bool enable)=0

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

Asynchronous I/O Support.

This abstract class provides basic functionality for asynchronous I/O support on top of QIODevice.

Author
  Thiago Macieira thiag.nosp@m.o.ma.nosp@m.cieir.nosp@m.a@kd.nosp@m.email.nosp@m..net Asynchronous I/O support

Definition at line 38 of file kasyncio.h.

## Member Function Documentation

virtual void KAsyncIO::enableRead | ( | bool | enable | ) |

pure virtual

Toggles the emission of the readyRead() signal whenever the device is ready for reading.

This is useful if you want to know the first time the device is ready for reading and you don't want to read it now.

Parameters

  enable | true to enable, false to disable the readyRead() signal

Implemented in KExtendedSocket.

virtual void KAsyncIO::enableWrite | ( | bool | enable | ) |

pure virtual

Toggles the emission of the readyWrite() signal whenever the device is ready for writing.

This is useful if you want to know the first time the device is ready for writing and you don't want to write to it now.

Parameters

  enable | true to enable, false to disable the readyWrite() signal

Implemented in KExtendedSocket.

void KAsyncIO::readyRead | ( |  | ) |

signal

This signal gets sent when the device is ready for reading.

void KAsyncIO::readyWrite | ( |  | ) |

signal

This signal gets sent when the device is ready for writing.

The documentation for this class was generated from the following files:

- kasyncio.h
- kasyncio.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys